<?php
include 'header.php';
include 'erpc_tipos_movimentacao_toolbar.php'; //Nome da tabela _list.php
require_once 'connect.php';
require_once 'inc/usuario.php';

checkLogin('login.php');

// Método para post de Query Avançada
	$consulta = "select * from  erpc_tipos_movimentacao where st_ativo = 1";

	//Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$id         = $_POST['id'];

		$tp_tipo = trim($_POST['tp_tipo']);
		$ds_tipo = trim($_POST['ds_tipo']);
		$fl_gera_duplicata = trim($_POST['fl_gera_duplicata']);
		$fl_atualiza_estoque = trim($_POST['fl_atualiza_estoque']);
		$id_tipo_devolucao = trim($_POST['id_tipo_devolucao']);
		$fl_atualiza_preco_compra = trim($_POST['fl_atualiza_preco_compra']);
		$fl_atualiza_origem = trim($_POST['fl_atualiza_origem']);
		$ds_cfop = trim($_POST['ds_cfop']);
		$fl_calcula_icms = trim($_POST['fl_calcula_icms']);
		$fl_calcula_ipi = trim($_POST['fl_calcula_ipi']);
		$fl_calcula_iss = trim($_POST['fl_calcula_iss']);
		$id_agrega_solidario = trim($_POST['id_agrega_solidario']);
		$fl_desp_ac_ipi = trim($_POST['fl_desp_ac_ipi']);
		$fl_credita_ipi = trim($_POST['fl_credita_ipi']);
		$nr_perc_reducao_ipi = trim($_POST['nr_perc_reducao_ipi']);
		$nr_perc_reducao_icms = trim($_POST['nr_perc_reducao_icms']);
		$id_situacao_tributaria = trim($_POST['id_situacao_tributaria']);
		$erpc_tipos_movimentacaocol = trim($_POST['erpc_tipos_movimentacaocol']);
		$id_agrega_valor = trim($_POST['id_agrega_valor']);
		$id_pis_cofins = trim($_POST['id_pis_cofins']);
		$fl_credita_pis_cofins = trim($_POST['fl_credita_pis_cofins']);
		$id_livros_fiscais_icms = trim($_POST['id_livros_fiscais_icms']);
		$id_livros_fiscais_ipi = trim($_POST['id_livros_fiscais_ipi']);
		$fl_pis_cofins_total = trim($_POST['fl_pis_cofins_total']);
		$fl_retem_iss = trim($_POST['fl_retem_iss']);
		$fl_calcula_icm_frete = trim($_POST['fl_calcula_icm_frete']);
		$fl_retem_pis = trim($_POST['fl_retem_pis']);
		$fl_retem_cof = trim($_POST['fl_retem_cof']);
		$id_poder_terceiros = trim($_POST['id_poder_terceiros']);
		$fl_retem_irrf = trim($_POST['fl_retem_irrf']);
		$fl_retem_inss = trim($_POST['fl_retem_inss']);
		$fl_retem_csll = trim($_POST['fl_retem_csll']);
		$fl_calcula_irrf = trim($_POST['fl_calcula_irrf']);
		$fl_calcula_inss = trim($_POST['fl_calcula_inss']);
		$fl_calcula_csll = trim($_POST['fl_calcula_csll']);
		$id_natureza_nfse = trim($_POST['id_natureza_nfse']);
		$fl_calcula_funr = trim($_POST['fl_calcula_funr']);
		$fl_retem_funr = trim($_POST['fl_retem_funr']);
		$nr_perc_reducao_icms_st = trim($_POST['nr_perc_reducao_icms_st']);
		$fl_desp_ac_icms = trim($_POST['fl_desp_ac_icms']);
		$tp_pagamento_imposto = trim($_POST['tp_pagamento_imposto']);
		$fl_desconto_condicional = trim($_POST['fl_desconto_condicional']);
		$erpc_tipos_movimentacaocol1 = trim($_POST['erpc_tipos_movimentacaocol1']);
		$id_pagamento_imposto = trim($_POST['id_pagamento_imposto']);
		$id_dom_csosn = trim($_POST['id_dom_csosn']);
		$ds_icms_st_mt = trim($_POST['ds_icms_st_mt']);
		$ds_ipi_bc = trim($_POST['ds_ipi_bc']);
		$fl_icms_diferido = trim($_POST['fl_icms_diferido']);
		$nr_perc_icms_dif = trim($_POST['nr_perc_icms_dif']);
		$nr_perc_red_iss = trim($_POST['nr_perc_red_iss']);
		$ds_ajuste_ciap = trim($_POST['ds_ajuste_ciap']);
		$ds_info_st_anterior = trim($_POST['ds_info_st_anterior']);
		$ds_mat_consumo = trim($_POST['ds_mat_consumo']);
		$ds_cofins_zfranca = trim($_POST['ds_cofins_zfranca']);
		$ds_pis_zfranca = trim($_POST['ds_pis_zfranca']);
		$ds_ipi_bruto = trim($_POST['ds_ipi_bruto']);
		$ds_natureza_operacao = trim($_POST['ds_natureza_operacao']);
		$id_motivo_desoneracao = trim($_POST['id_motivo_desoneracao']);
		$erpc_dom_sit_trib_pis_id = trim($_POST['erpc_dom_sit_trib_pis_id']);
		$erpc_dom_sit_trib_cof_id = trim($_POST['erpc_dom_sit_trib_cof_id']);


		$consulta .= (!empty($id)            ? " and id            like '%$id%'"            : '');
		$consulta .= (!empty($tp_tipo)            ? " and id            like '%$tp_tipo%'"            : '');
		$consulta .= (!empty($ds_tipo)            ? " and id            like '%$ds_tipo%'"            : '');
		$consulta .= (!empty($fl_gera_duplicata)            ? " and id            like '%$fl_gera_duplicata%'"            : '');
		$consulta .= (!empty($fl_atualiza_estoque)            ? " and id            like '%$fl_atualiza_estoque%'"            : '');
		$consulta .= (!empty($id_tipo_devolucao)            ? " and id            like '%$id_tipo_devolucao%'"            : '');
		$consulta .= (!empty($fl_atualiza_preco_compra)            ? " and id            like '%$fl_atualiza_preco_compra%'"            : '');
		$consulta .= (!empty($fl_atualiza_origem)            ? " and id            like '%$fl_atualiza_origem%'"            : '');
		$consulta .= (!empty($ds_cfop)            ? " and id            like '%$ds_cfop%'"            : '');
		$consulta .= (!empty($fl_calcula_icms)            ? " and id            like '%$fl_calcula_icms%'"            : '');
		$consulta .= (!empty($fl_calcula_ipi)            ? " and id            like '%$fl_calcula_ipi%'"            : '');
		$consulta .= (!empty($fl_calcula_iss)            ? " and id            like '%$fl_calcula_iss%'"            : '');
		$consulta .= (!empty($id_agrega_solidario)            ? " and id            like '%$id_agrega_solidario%'"            : '');
		$consulta .= (!empty($fl_desp_ac_ipi)            ? " and id            like '%$fl_desp_ac_ipi%'"            : '');
		$consulta .= (!empty($fl_credita_ipi)            ? " and id            like '%$fl_credita_ipi%'"            : '');
		$consulta .= (!empty($nr_perc_reducao_ipi)            ? " and id            like '%$nr_perc_reducao_ipi%'"            : '');
		$consulta .= (!empty($nr_perc_reducao_icms)            ? " and id            like '%$nr_perc_reducao_icms%'"            : '');
		$consulta .= (!empty($id_situacao_tributaria)            ? " and id            like '%$id_situacao_tributaria%'"            : '');
		$consulta .= (!empty($erpc_tipos_movimentacaocol)            ? " and id            like '%$erpc_tipos_movimentacaocol%'"            : '');
		$consulta .= (!empty($id_agrega_valor)            ? " and id            like '%$id_agrega_valor%'"            : '');
		$consulta .= (!empty($id_pis_cofins)            ? " and id            like '%$id_pis_cofins%'"            : '');
		$consulta .= (!empty($fl_credita_pis_cofins)            ? " and id            like '%$fl_credita_pis_cofins%'"            : '');
		$consulta .= (!empty($id_livros_fiscais_icms)            ? " and id            like '%$id_livros_fiscais_icms%'"            : '');
		$consulta .= (!empty($id_livros_fiscais_ipi)            ? " and id            like '%$id_livros_fiscais_ipi%'"            : '');
		$consulta .= (!empty($fl_pis_cofins_total)            ? " and id            like '%$fl_pis_cofins_total%'"            : '');
		$consulta .= (!empty($fl_retem_iss)            ? " and id            like '%$fl_retem_iss%'"            : '');
		$consulta .= (!empty($fl_calcula_icm_frete)            ? " and id            like '%$fl_calcula_icm_frete%'"            : '');
		$consulta .= (!empty($fl_retem_pis)            ? " and id            like '%$fl_retem_pis%'"            : '');
		$consulta .= (!empty($fl_retem_cof)            ? " and id            like '%$fl_retem_cof%'"            : '');
		$consulta .= (!empty($id_poder_terceiros)            ? " and id            like '%$id_poder_terceiros%'"            : '');
		$consulta .= (!empty($fl_retem_irrf)            ? " and id            like '%$fl_retem_irrf%'"            : '');
		$consulta .= (!empty($fl_retem_inss)            ? " and id            like '%$fl_retem_inss%'"            : '');
		$consulta .= (!empty($fl_retem_csll)            ? " and id            like '%$fl_retem_csll%'"            : '');
		$consulta .= (!empty($fl_calcula_irrf)            ? " and id            like '%$fl_calcula_irrf%'"            : '');
		$consulta .= (!empty($fl_calcula_inss)            ? " and id            like '%$fl_calcula_inss%'"            : '');
		$consulta .= (!empty($fl_calcula_csll)            ? " and id            like '%$fl_calcula_csll%'"            : '');
		$consulta .= (!empty($id_natureza_nfse)            ? " and id            like '%$id_natureza_nfse%'"            : '');
		$consulta .= (!empty($fl_calcula_funr)            ? " and id            like '%$fl_calcula_funr%'"            : '');
		$consulta .= (!empty($fl_retem_funr)            ? " and id            like '%$fl_retem_funr%'"            : '');
		$consulta .= (!empty($nr_perc_reducao_icms_st)            ? " and id            like '%$nr_perc_reducao_icms_st%'"            : '');
		$consulta .= (!empty($fl_desp_ac_icms)            ? " and id            like '%$fl_desp_ac_icms%'"            : '');
		$consulta .= (!empty($tp_pagamento_imposto)            ? " and id            like '%$tp_pagamento_imposto%'"            : '');
		$consulta .= (!empty($fl_desconto_condicional)            ? " and id            like '%$fl_desconto_condicional%'"            : '');
		$consulta .= (!empty($erpc_tipos_movimentacaocol1)            ? " and id            like '%$erpc_tipos_movimentacaocol1%'"            : '');
		$consulta .= (!empty($id_pagamento_imposto)            ? " and id            like '%$id_pagamento_imposto%'"            : '');
		$consulta .= (!empty($id_dom_csosn)            ? " and id            like '%$id_dom_csosn%'"            : '');
		$consulta .= (!empty($ds_icms_st_mt)            ? " and id            like '%$ds_icms_st_mt%'"            : '');
		$consulta .= (!empty($ds_ipi_bc)            ? " and id            like '%$ds_ipi_bc%'"            : '');
		$consulta .= (!empty($fl_icms_diferido)            ? " and id            like '%$fl_icms_diferido%'"            : '');
		$consulta .= (!empty($nr_perc_icms_dif)            ? " and id            like '%$nr_perc_icms_dif%'"            : '');
		$consulta .= (!empty($nr_perc_red_iss)            ? " and id            like '%$nr_perc_red_iss%'"            : '');
		$consulta .= (!empty($ds_ajuste_ciap)            ? " and id            like '%$ds_ajuste_ciap%'"            : '');
		$consulta .= (!empty($ds_info_st_anterior)            ? " and id            like '%$ds_info_st_anterior%'"            : '');
		$consulta .= (!empty($ds_mat_consumo)            ? " and id            like '%$ds_mat_consumo%'"            : '');
		$consulta .= (!empty($ds_cofins_zfranca)            ? " and id            like '%$ds_cofins_zfranca%'"            : '');
		$consulta .= (!empty($ds_pis_zfranca)            ? " and id            like '%$ds_pis_zfranca%'"            : '');
		$consulta .= (!empty($ds_ipi_bruto)            ? " and id            like '%$ds_ipi_bruto%'"            : '');
		$consulta .= (!empty($ds_natureza_operacao)            ? " and id            like '%$ds_natureza_operacao%'"            : '');
		$consulta .= (!empty($id_motivo_desoneracao)            ? " and id            like '%$id_motivo_desoneracao%'"            : '');
		$consulta .= (!empty($erpc_dom_sit_trib_pis_id)            ? " and id            like '%$erpc_dom_sit_trib_pis_id%'"            : '');
		$consulta .= (!empty($erpc_dom_sit_trib_cof_id)            ? " and id            like '%$erpc_dom_sit_trib_cof_id%'"            : '');

	}
?>

<div class="block">
  <div class="header">
  <h2>Tipo de Movimentação</h2>
  </div>
  <div class="content">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
						<th width=05%>ID</th>
            <th width=50%>Descrição</th>
						<th width=40%>Tipo Movimentação</th>
						<th width=05%>Editar</th>
						<th width=05%>Excluir</th>
          </tr>
        </thead>
        <tbody>

          <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

            $id       	= $registro['id'];
            $id_crip	 	= base64_encode($id);
			  		$ds_tipo	= $registro['ds_tipo'];
						$tp_tipo	= $registro['tp_tipo'];

					echo "<tr>";
            // echo "<td class='text-center'><input type='checkbox' /></td>";
            echo "<td>$id</td>";
            echo "<td>$ds_tipo</td>";
						echo "<td>$tp_tipo</td>";

            echo "<td class='text-center'><a href='erpc_tipos_movimentacao_edit.php?id=$id_crip'>  <i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
            echo "<td class='text-center'><a href='erpc_tipos_movimentacao_remove.php?id=$id_crip'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
